# Class RedisSettings.RedisEndpoint

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents a Redis server endpoint, typically used to encapsulate connection details such as host, port, and credentials required to connect to a Redis instance.

    public class RedisSettings.RedisEndpoint

Inheritance
  object
  RedisSettings.RedisEndpoint

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Host

    public string Host { get; set; }

#### Property Value

string

### Port

    public int Port { get; set; }

#### Property Value

int